Index: code/branches/presentation/src/bullet/LinearMath/btScalar.h
===================================================================
--- code/branches/presentation/src/bullet/LinearMath/btScalar.h	(revision 2471)
+++ code/branches/presentation/src/bullet/LinearMath/btScalar.h	(revision 2472)
@@ -4,6 +4,6 @@
 This software is provided 'as-is', without any express or implied warranty.
 In no event will the authors be held liable for any damages arising from the use of this software.
-Permission is granted to anyone to use this software for any purpose,
-including commercial applications, and to alter it and redistribute it freely,
+Permission is granted to anyone to use this software for any purpose, 
+including commercial applications, and to alter it and redistribute it freely, 
 subject to the following restrictions:
 
@@ -79,5 +79,5 @@
 
 #else
-
+	
 #if defined	(__CELLOS_LV2__)
 		#define SIMD_FORCE_INLINE inline
@@ -119,5 +119,5 @@
 		#define btLikely(_c)   __builtin_expect((_c), 1)
 		#define btUnlikely(_c) __builtin_expect((_c), 0)
-
+		
 
 #else
@@ -179,5 +179,5 @@
 
 #if defined(BT_USE_DOUBLE_PRECISION) || defined(BT_FORCE_DOUBLE_FUNCTIONS)
-
+		
 SIMD_FORCE_INLINE btScalar btSqrt(btScalar x) { return sqrt(x); }
 SIMD_FORCE_INLINE btScalar btFabs(btScalar x) { return fabs(x); }
@@ -194,7 +194,7 @@
 
 #else
-
-SIMD_FORCE_INLINE btScalar btSqrt(btScalar y)
-{
+		
+SIMD_FORCE_INLINE btScalar btSqrt(btScalar y) 
+{ 
 #ifdef USE_APPROXIMATION
     double x, z, tempf;
@@ -212,5 +212,5 @@
 	return x*y;
 #else
-	return sqrtf(y);
+	return sqrtf(y); 
 #endif
 }
@@ -219,7 +219,7 @@
 SIMD_FORCE_INLINE btScalar btSin(btScalar x) { return sinf(x); }
 SIMD_FORCE_INLINE btScalar btTan(btScalar x) { return tanf(x); }
-SIMD_FORCE_INLINE btScalar btAcos(btScalar x) {
+SIMD_FORCE_INLINE btScalar btAcos(btScalar x) { 
 	btAssert(x <= btScalar(1.));
-	return acosf(x);
+	return acosf(x); 
 }
 SIMD_FORCE_INLINE btScalar btAsin(btScalar x) { return asinf(x); }
@@ -250,5 +250,5 @@
 #endif
 
-SIMD_FORCE_INLINE btScalar btAtan2Fast(btScalar y, btScalar x)
+SIMD_FORCE_INLINE btScalar btAtan2Fast(btScalar y, btScalar x) 
 {
 	btScalar coeff_1 = SIMD_PI / 4.0f;
@@ -308,18 +308,18 @@
 ///btSelect avoids branches, which makes performance much better for consoles like Playstation 3 and XBox 360
 ///Thanks Phil Knight. See also http://www.cellperformance.com/articles/2006/04/more_techniques_for_eliminatin_1.html
-SIMD_FORCE_INLINE unsigned btSelect(unsigned condition, unsigned valueIfConditionNonZero, unsigned valueIfConditionZero)
+SIMD_FORCE_INLINE unsigned btSelect(unsigned condition, unsigned valueIfConditionNonZero, unsigned valueIfConditionZero) 
 {
     // Set testNz to 0xFFFFFFFF if condition is nonzero, 0x00000000 if condition is zero
     // Rely on positive value or'ed with its negative having sign bit on
-    // and zero value or'ed with its negative (which is still zero) having sign bit off
+    // and zero value or'ed with its negative (which is still zero) having sign bit off 
     // Use arithmetic shift right, shifting the sign bit through all 32 bits
     unsigned testNz = (unsigned)(((int)condition | -(int)condition) >> 31);
     unsigned testEqz = ~testNz;
-    return ((valueIfConditionNonZero & testNz) | (valueIfConditionZero & testEqz));
+    return ((valueIfConditionNonZero & testNz) | (valueIfConditionZero & testEqz)); 
 }
 SIMD_FORCE_INLINE int btSelect(unsigned condition, int valueIfConditionNonZero, int valueIfConditionZero)
 {
     unsigned testNz = (unsigned)(((int)condition | -(int)condition) >> 31);
-    unsigned testEqz = ~testNz;
+    unsigned testEqz = ~testNz; 
     return static_cast<int>((valueIfConditionNonZero & testNz) | (valueIfConditionZero & testEqz));
 }
@@ -329,5 +329,5 @@
     return (float)btFsel((btScalar)condition - btScalar(1.0f), valueIfConditionNonZero, valueIfConditionZero);
 #else
-    return (condition != 0) ? valueIfConditionNonZero : valueIfConditionZero;
+    return (condition != 0) ? valueIfConditionNonZero : valueIfConditionZero; 
 #endif
 }
@@ -364,7 +364,7 @@
 ///btSwapFloat uses using char pointers to swap the endianness
 ////btSwapFloat/btSwapDouble will NOT return a float, because the machine might 'correct' invalid floating point values
-///Not all values of sign/exponent/mantissa are valid floating point numbers according to IEEE 754.
-///When a floating point unit is faced with an invalid value, it may actually change the value, or worse, throw an exception.
-///In most systems, running user mode code, you wouldn't get an exception, but instead the hardware/os/runtime will 'fix' the number for you.
+///Not all values of sign/exponent/mantissa are valid floating point numbers according to IEEE 754. 
+///When a floating point unit is faced with an invalid value, it may actually change the value, or worse, throw an exception. 
+///In most systems, running user mode code, you wouldn't get an exception, but instead the hardware/os/runtime will 'fix' the number for you. 
 ///so instead of returning a float/double, we return integer/long long integer
 SIMD_FORCE_INLINE unsigned int  btSwapEndianFloat(float d)
@@ -382,5 +382,5 @@
 
 // unswap using char pointers
-SIMD_FORCE_INLINE float btUnswapEndianFloat(unsigned int a)
+SIMD_FORCE_INLINE float btUnswapEndianFloat(unsigned int a) 
 {
     float d = 0.0f;
@@ -414,5 +414,5 @@
 
 // unswap using char pointers
-SIMD_FORCE_INLINE double btUnswapEndianDouble(const unsigned char *src)
+SIMD_FORCE_INLINE double btUnswapEndianDouble(const unsigned char *src) 
 {
     double d = 0.0;